import React from 'react';
import ReactDOM from 'react-dom/client';
import { MetaMaskProvider } from '@metamask/sdk-react';
import App from './App';
// import 'bootstrap/dist/css/bootstrap.min.css';
import 'bootswatch/dist/slate/bootstrap.min.css';
// import './index.css';

ReactDOM.createRoot(document.getElementById('root')).render(
  <React.StrictMode>
    <MetaMaskProvider
      debug={false}
      sdkOptions={{
        dappMetadata: {
          name: 'DGF Prototype',
          url: window.location.href,
        },
        enableAnalytics: false,
        infuraAPIKey: '579d264c5f534aa1aefd6be323cb1a35',
        readonlyRPCMap: {
          '0x7a69': 'http://127.0.0.1:8545/',
        },
      }}
    >
      <App />
    </MetaMaskProvider>
  </React.StrictMode>,
);
